Availability
FORD FALCON Brake Systems
Disc Brake Kits, Track4 Disc Brake Systems, Front, Cross-drilled/Slotted Rotors, 4-piston Black Powdercoated Calipers, Ford, Mercury, Kit
Part Number: BAE-4261291B
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
Estimated Ship Date: Nov 23, 2026 if ordered today
Disc Brakes, Baer Claw Pro+, Front, Cross-drilled/Slotted Surface Rotors, 6-piston Calipers, Red, Ford, Kit
Part Number: BAE-4261215R
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
Estimated Ship Date: Nov 23, 2026 if ordered today
Disc Brake Kits, Baer Claw Extreme Plus Disc Brake Systems, Front, Cross-drilled/Slotted Rotors, 6-piston Black Calipers, Ford, Mercury, Kit
Part Number: BAE-4261086B
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
Estimated Ship Date: Nov 23, 2026 if ordered today
Disc Brake Kits, USA Drum to Disc Brake Conversion Kits, Front, Manual, Solid Surface Rotors, 4-piston Calipers, Ford, Mercury, Kit
Part Number: TSB-A120
Estimated Ship Date: Jan 8, 2027 if ordered today
Estimated Ship Date: Jan 8, 2027 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,359.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Slotted, Drilled Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.5 in. Bolt Pattern, Ford, Mercury, Kit
Part Number: LEB-RFC0001-4C7X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,359.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.99
Rebate Expires: 10/31/2026
Brake Conversion Kit, MaxGrip Lite D11 4 Piston Man KT w/ Cast Iron M/C Adj Pro Valve Red PC; Mustang 67-69
Part Number: LEB-RFC0006-405X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $902.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Rear Conversion, Cross-drilled/Slotted Rotors, Black Powdercoated Calipers, Ford, Mercury, Kit
Part Number: LEB-BRC0003X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $902.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $899.99
Rebate Expires: 10/31/2026
Caliper Upgrade Kit, Max Grip Lite Caliper, Pad and Hose Kit, Aluminum, Black, Ford, Each
Part Number: LEB-BCC0005
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $899.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,549.99
Rebate Expires: 10/31/2026
Brake Conversion Kit, MaxGrip Lite D11 4 Piston Man Front Disc Brake KT; Ford Falcon
Part Number: LEB-FC0005-4C7X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,549.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
Disc Brake Pad and Rotor Kit
Part Number: EBC-S9KF1271
Not Yet Reviewed
Estimated Ship Date: Jan 11, 2027 if ordered today
Estimated Ship Date: Jan 11, 2027 if ordered today
Disc Brake Pad and Rotor Kit
Part Number: EBC-S5KF1075
Not Yet Reviewed
Estimated Ship Date: Jan 11, 2027 if ordered today
Estimated Ship Date: Jan 11, 2027 if ordered today
Disc Brakes, Forged Dynalite, Front, 12.19 in. Rotors, Solid Rotors, Polished, 4-Piston Calipers, BP-10 Pads, 5 x 4.50, 5 x 4.75, GM, Kit
Part Number: WIL-140-7675-P
Not Yet Reviewed
Estimated Ship Date: Nov 9, 2026 if ordered today
Estimated Ship Date: Nov 9, 2026 if ordered today
Disc Brakes, Superlite 6 Big, Heavy-duty, Front, 14 in. Diameter Rotors, Black Calipers, Chevy, Pontiac, Kit
Part Number: WIL-140-9804
Not Yet Reviewed
Estimated Ship Date: Nov 9, 2026 if ordered today
Estimated Ship Date: Nov 9, 2026 if ordered today
Rear Disc Conversion, Ford 8.8" Performance Series, 5-Lug Axle Included No E-Brake, Red Wilwood Calipers, Drilled and Slotted Rotors
Part Number: RSD-ZDCRDM24Z
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
SportR1 rear disc brake conversion, with parking brake - Ford 9" Torino rear end - black powder coat
Part Number: TSB-A111-21BK
Not Yet Reviewed
Estimated Ship Date: Jan 7, 2027 if ordered today
Estimated Ship Date: Jan 7, 2027 if ordered today
At The Wheels Comp S four piston billet aluminum caliper, Ford 9" Large bearing- black powder coat
Part Number: TSB-W110-21BK
Not Yet Reviewed
Estimated Ship Date: Jan 7, 2027 if ordered today
Estimated Ship Date: Jan 7, 2027 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,039.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 5 x 4.50 in. Bolt Pattern, Kit
Part Number: LEB-FC0001SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,039.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $899.99
Rebate Expires: 10/31/2026
Caliper Upgrade Kit, Max Grip Lite Caliper, Pad and Hose Kit, Aluminum, Red, Ford, Each
Part Number: LEB-RCC0005
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $899.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,474.99
Rebate Expires: 10/31/2026
Brake Conversion Kit, MaxGrip Lite D11 4 Piston Spindle Mount Kit; Mustang 65-69
Part Number: LEB-FC0005SMX
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,474.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $902.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Rear Conversion, Cross-drilled/Slotted Rotors, Red Powdercoated Calipers, Ford, Mercury, Kit
Part Number: LEB-RRC0003X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $902.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,354.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Mustang 67-69 MaxGrip XDS man Kit with Iron M/C adj pro Valve Red PC
Part Number: LEB-RFC0002-405X
Not Yet Reviewed
Estimated Ship Date: Dec 2, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,354.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 2, 2026 if ordered today
Master Cylinder
Part Number: RSD-DBMC20
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
Disc Brake Kit, Pro, Front, Cross-drilled/Slotted Rotors, 6-piston, Silver Powdercoated Calipers, Ford, Mercury, Kit
Part Number: BAE-4261639S
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
Estimated Ship Date: Nov 23, 2026 if ordered today
Disc Brakes, Pro-Plus, Front, Cross-Drilled/Slotted Rotors, 6-Piston Calipers, Black, Ford, Kit
Part Number: BAE-4261212B
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
Estimated Ship Date: Nov 23, 2026 if ordered today
Disc Brake Kits, Baer Claw Extreme Plus Disc Brake Systems, Front, Cross-drilled/Slotted Rotors, 6-piston Red Powdercoat Calipers, Ford, Mercury, Kit
Part Number: BAE-4261104R
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
Estimated Ship Date: Nov 23, 2026 if ordered today
Truck / SUV
Jeep®
Restoration
Stock Replacement
Late Model Muscle
Tools
Gifts, Clothing, & More
Circle Track
Street Rod
Powersports
Paint & Body
Marine
Jr Dragster